#
# spec file for package yast2-agent-pam (Version 2.4.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp libscr libscr-devel liby2 liby2-devel libycp libycp-devel ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-agent-pam
Copyright:	(c) 2000 SuSE GmbH
Group:		Development/Libraries
Summary:      YaST2 PAM agent
Version:      2.4.2
Release:      55
Source0:	yast2-agent-pam-%{version}.tar.bz2

%description
This agent is used by YaST2 to modify the PAM configuration files

SuSE series: yast

%package devel
Version:      2.4.2
Release:      55
Summary:      YaST2 PAM Agent (for developers only)
Group:		Development/Libraries
Requires:	yast2-agent-pam

%description devel
YaST2 Agent for modifying PAM configuration files. This
package is only needed by YaST2 developers.

SuSE series: yast

%prep
%setup

%build
export CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure
make
#make check

%install
make install-strip
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_pam.so.*

%files
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_pam.so.*
%dir /usr/lib/YaST2/scrconf
/usr/lib/YaST2/scrconf/*.scr

%files devel
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_pam.so
/usr/lib/YaST2/plugin/libpy2ag_pam.la
%dir /usr/share/doc/packages/yast2-agent-pam
/usr/share/doc/packages/yast2-agent-pam/*

%changelog -n yast2-agent-pam
* Tue Aug 14 2001 - kukuk@suse.de
- Fix order of arguments for rename() call
- restore owner and permissions of config file
* Mon Jul 16 2001 - arvin@suse.de
- fixed to compile with gcc 3.0
* Sat Jul 14 2001 - kukuk@suse.de
- Don't know who modiefied the CVS version without changes entries,
  but use the current CVS version now.
* Tue Jul 10 2001 - kukuk@suse.de
- Initial version
